@use 'sass/base';
@use 'sass/color';
@use 'sass/size';
@use 'sass/mixin';

.register-container {
  @include mixin.center-items;
  flex-flow: column nowrap;
  gap: size.$gap;
  position: relative;
  div {
    width: 100%;
    @include mixin.center-items;
    flex-flow: column nowrap;
    .register-title {
      text-transform: uppercase;
      font-weight: 500;
      color: color.$green;
    }
    .register-form > form {
      width: 100%;
      mat-error {
        display: flex;
        flex-flow: row nowrap;
        align-items: center;
        color: color.$red;
        p {
          margin: 10px;
        }
      }
    }
    .organization {
      margin: 0.5rem 0 2rem;
    }
    .user-consent p {
      font-size: 10px;
      margin-left: 1%;
      white-space: normal !important;
      line-height: 13px !important;
    }

    .user-consent span {
      font-size: 10px;
      font-weight: bold;
      color: mat-color(color.$text, 500);
      margin-left: 1%;
      white-space: normal !important;
      line-height: 13px !important;
    }
    .register-button {
      flex: 0 0 0;
      @include mixin.center-items;
      button {
        width: 100%;
        height: 100%;
        border: none;
        margin: 0;
        line-height: 2.5rem;
        font-size: 0.75rem;
        font-weight: 500;
      }
    }
  }
  .close {
    position: absolute;
    cursor: pointer;
    right: 0;
    top: 0;
    width: size.$text;
    height: size.$text;
    opacity: 0.3;
    &::before,
    &::after {
      position: absolute;
      display: block;
      left: calc(0.5 * #{size.$text} - 0.5 * #{size.$border-width});
      content: '';
      height: size.$text;
      width: size.$border-width;
      background-color: color.$text;
    }
    &::before {
      transform: rotate(45deg);
    }
    &::after {
      transform: rotate(-45deg);
    }
    &:hover {
      opacity: 1;
    }
  }
  .icon {
    width: size.$large-icon;
  }
}

.mat-form-field {
  width: 100%;
}
.organization {
  color: black;
}
